Page MenuHomePhabricator

Extract reporting tool from YCH
Open, NormalPublic

Description

This is blocking our ability to remove the entire comment back-end from YCH. And is making it difficult to implement new websites without a dedicated reporting tool. To achieve this, CRM would need to be modified to provide the following:

  1. A consistent behavior for the create task page. Right now it's hard coded to submit to a certain person, but there's no logic to change this.
  2. The ability to add links to the tickets and to properly display embeds - this could be assigned as a task for pss.ms, which should then extract the data from the URL
  3. Externalize the payment module - this could be a lower priority since it would only be disabled

With these out of the way we should be able to deploy a copy of CRM that manages support for the application.

Event Timeline

cesar triaged this task as Normal priority.Nov 19 2019, 12:47 PM
cesar created this task.
cesar created this object with visibility "Public (No Login Required)".
cesar added subtasks: Unknown Object (Maniphest Task), Unknown Object (Maniphest Task).Dec 4 2019, 4:32 PM
cesar added a comment.Dec 4 2019, 4:54 PM

Source: https://todoist.com/app#task%2F3510150718

This probably depends on CRM being able to e deployed as a admin only tool: https://todoist.com/app#task%2F3214425292
My idea for this would be to replace the "artist" caption with operator, so a moderator can see this. And it probably would need the ability to have a single entry point that distributes tickets to the appropriate administrators.
One of the main issues is that CCRM would also need to be able to provide special data only to users who are operators (for example, the name of the person reporting an auction or picture should be hidden).
It should also allow to provide a boilerplate for the different report tickets, as well as accept a parameter with the link of the auction / page being reported.

cesar closed subtask Unknown Object (Maniphest Task) as Resolved.Apr 2 2020, 12:58 PM
cesar closed subtask Unknown Object (Maniphest Task) as Resolved.May 19 2020, 3:36 PM